#pragma once

#include "NWindowTimer.h"
#include "XMLUtil.h"

namespace tipuio
{
	class NPCOMMONUI_API PadDocument
	{
	public:
		PadDocument(void);
		~PadDocument(void);

		void SetPreviewRootNode(const char* xmlData);
		TiXmlElement* GetPreviewRootNode() { return m_PreviewRootNode; }
		BOOL IsEditChanged() { return m_EditChanged; }
		void SetEditChanged(BOOL changed) { m_EditChanged = changed; }
		void ResetEdit() { SetEditChanged(FALSE); }

	private:
		TiXmlDocument* m_PreviewDocument;
		TiXmlElement* m_PreviewRootNode;
		CNWindowTimer m_Timer;
		BOOL	m_EditChanged;

		void SetPreviewDocument(TiXmlDocument* document);
		void SetPreviewRootNode(TiXmlElement* node);
	};
};

